gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.MenuBar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A subclass widget for `MenuShell` which holds `MenuItem` widgets

Synopsis

- data MenuBar
- class MenuShellClass o => MenuBarClass o
- castToMenuBar :: GObjectClass obj => obj -> MenuBar
- gTypeMenuBar :: GType
- toMenuBar :: MenuBarClass o => o -> MenuBar
- data PackDirection
  - = PackDirectionLtr
  - | PackDirectionRtl
  - | PackDirectionTtb
  - | PackDirectionBtt
- menuBarNew :: IO MenuBar
- menuBarSetPackDirection :: MenuBarClass self => self -> PackDirection -> IO ()
- menuBarGetPackDirection :: MenuBarClass self => self -> IO PackDirection
- menuBarSetChildPackDirection :: MenuBarClass self => self -> PackDirection -> IO ()
- menuBarGetChildPackDirection :: MenuBarClass self => self -> IO PackDirection
- menuBarPackDirection :: MenuBarClass self => Attr self PackDirection
- menuBarChildPackDirection :: MenuBarClass self => Attr self PackDirection

# Detail

The `MenuBar` is a subclass of `MenuShell` which contains one to many `MenuItem`. The result is a standard menu bar which can hold many menu items.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----MenuShell
    | +----MenuBar

# Types

data MenuBar Source #

#### Instances

Instances details

Eq MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: MenuBar -> MenuBar -> Bool Source # (/=) :: MenuBar -> MenuBar -> Bool Source #
Ord MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: MenuBar -> MenuBar -> Ordering Source # (<) :: MenuBar -> MenuBar -> Bool Source # (<=) :: MenuBar -> MenuBar -> Bool Source # (>) :: MenuBar -> MenuBar -> Bool Source # (>=) :: MenuBar -> MenuBar -> Bool Source # max :: MenuBar -> MenuBar -> MenuBar Source # min :: MenuBar -> MenuBar -> MenuBar Source #
GObjectClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: MenuBar -> GObject Source # unsafeCastGObject :: GObject -> MenuBar Source #
ContainerClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuBarClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuShellClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class MenuShellClass o => MenuBarClass o Source #

#### Instances

Instances details

MenuBarClass MenuBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToMenuBar :: GObjectClass obj => obj -> MenuBar Source #

gTypeMenuBar :: GType Source #

toMenuBar :: MenuBarClass o => o -> MenuBar Source #

data PackDirection Source #

Determines how to pack a menu bar: left-to-right, right-to-left, top-to-bottom or bottom-to-top.

Constructors

PackDirectionLtr |
PackDirectionRtl |
PackDirectionTtb |
PackDirectionBtt |

#### Instances

Instances details

Enum PackDirection Source # |

Instance details

Defined in Graphics.UI.Gtk.MenuComboToolbar.MenuBar

Methods

succ :: PackDirection -> PackDirection Source #

pred :: PackDirection -> PackDirection Source #

toEnum :: Int -> PackDirection Source #

fromEnum :: PackDirection -> Int Source #

enumFrom :: PackDirection -> [PackDirection] Source #

enumFromThen :: PackDirection -> PackDirection -> [PackDirection] Source #

enumFromTo :: PackDirection -> PackDirection -> [PackDirection] Source #

enumFromThenTo :: PackDirection -> PackDirection -> PackDirection -> [PackDirection] Source #

# Constructors

menuBarNew :: IO MenuBar Source #

Creates the new `MenuBar`

# Methods

menuBarSetPackDirection Source #

Arguments

:: MenuBarClass self |
=> self |
-> PackDirection | `packDir` - a new `PackDirection`.
-> IO () |

Sets how items should be packed inside a menubar.

- Available since Gtk+ version 2.8

menuBarGetPackDirection Source #

Arguments

:: MenuBarClass self |
=> self |
-> IO PackDirection | returns the pack direction

Retrieves the current pack direction of the menubar. See `menuBarSetPackDirection`.

- Available since Gtk+ version 2.8

menuBarSetChildPackDirection Source #

Arguments

:: MenuBarClass self |
=> self |
-> PackDirection | `childPackDir` - a new `PackDirection`.
-> IO () |

Sets how widgets should be packed inside the children of a menubar.

- Available since Gtk+ version 2.8

menuBarGetChildPackDirection Source #

Arguments

:: MenuBarClass self |
=> self |
-> IO PackDirection | returns the child pack direction

Retrieves the current child pack direction of the menubar. See `menuBarSetChildPackDirection`.

- Available since Gtk+ version 2.8

# Attributes

menuBarPackDirection :: MenuBarClass self => Attr self PackDirection Source #

The pack direction of the menubar. It determines how menuitems are arranged in the menubar.

Default value: `PackDirectionLtr`

menuBarChildPackDirection :: MenuBarClass self => Attr self PackDirection Source #

The pack direction of the menubar. It determines how the widgets contained in child menuitems are arranged.

Default value: `PackDirectionLtr`